> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of playlists



## OpenAPI

````yaml /api-reference/openapi.json get /app.rocksky.playlist.getPlaylists
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.playlist.getPlaylists:
    get:
      tags:
        - app.rocksky.playlist
      summary: Retrieve a list of playlists
      operationId: app.rocksky.playlist.getPlaylists
      parameters:
        - name: limit
          in: query
          description: The maximum number of playlists to return.
          required: false
          schema:
            type: integer
        - name: offset
          in: query
          description: The offset for pagination, used to skip a number of playlists.
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  playlists:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/app.rocksky.playlist.defs.playlistViewBasic
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.playlist.defs.playlistViewBasic:
      type: object
      description: Basic view of a playlist, including its metadata
      properties:
        id:
          type: string
          description: The unique identifier of the playlist.
        title:
          type: string
          description: The title of the playlist.
        uri:
          type: string
          description: The URI of the playlist.
          format: at-uri
        curatorDid:
          type: string
          description: The DID of the curator of the playlist.
          format: at-identifier
        curatorHandle:
          type: string
          description: The handle of the curator of the playlist.
          format: at-identifier
        curatorName:
          type: string
          description: The name of the curator of the playlist.
        curatorAvatarUrl:
          type: string
          description: The URL of the avatar image of the curator.
          format: uri
        description:
          type: string
          description: A description of the playlist.
        coverImageUrl:
          type: string
          description: The URL of the cover image for the playlist.
          format: uri
        createdAt:
          type: string
          description: The date and time when the playlist was created.
          format: date-time
        trackCount:
          type: integer
          minimum: 0
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````